Package org.drinkless.tdlib

# Class TdApi.DeviceTokenFirebaseCloudMessaging

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DeviceToken
org.drinkless.tdlib.TdApi.DeviceTokenFirebaseCloudMessaging

Enclosing class:
  `TdApi`

public static class TdApi.DeviceTokenFirebaseCloudMessaging extends TdApi.DeviceToken
A token for Firebase Cloud Messaging.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.DeviceToken

  `TdApi.DeviceToken.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `encrypt`
  True, if push notifications must be additionally encrypted.
  `String`
  `token`
  Device registration token; may be empty to deregister a device.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceTokenFirebaseCloudMessaging()`
  A token for Firebase Cloud Messaging.
  `DeviceTokenFirebaseCloudMessaging(String token, boolean encrypt)`
  A token for Firebase Cloud Messaging.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### token

    public String token
    Device registration token; may be empty to deregister a device.

  - ### encrypt

    public boolean encrypt
    True, if push notifications must be additionally encrypted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeviceTokenFirebaseCloudMessaging

    public DeviceTokenFirebaseCloudMessaging()
    A token for Firebase Cloud Messaging.

  - ### DeviceTokenFirebaseCloudMessaging

    public DeviceTokenFirebaseCloudMessaging(String token, boolean encrypt)
    A token for Firebase Cloud Messaging.
    Parameters:
      `token` - Device registration token; may be empty to deregister a device.
      `encrypt` - True, if push notifications must be additionally encrypted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.DeviceToken`
    Returns:
      this.CONSTRUCTOR